%{?scl:%scl_package python-lit}
%{!?scl:%global pkg_name %{name}}

%global srcname lit

%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python2 0
%else
%global with_python2 1
%endif

#%%global rc_ver 1
%global baserelease 1

%bcond_with check

# FIXME: Work around for rhel not having py2_build/py2_install macro.
%{!?py2_build: %global py2_build %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} build --executable="%{__python2} -s"}}
%{!?py2_install: %global py2_install %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}}}

Name: %{?scl_prefix}python-%{srcname}
Version: 0.11.1
Release: %{baserelease}%{?rc_ver:.rc%{rc_ver}}%{?dist}
BuildArch: noarch

License: NCSA
Summary: Tool for executing llvm test suites
URL: https://pypi.python.org/pypi/lit
Source0: https://files.pythonhosted.org/packages/fc/d4/ce36ade3d1f9ddb080d9cc0851d528262381b4558b6338ce4fcffccf94bb/lit-0.11.1.tar.gz

# for file check
%if %{with check}
BuildRequires: llvm-test
%endif

BuildRequires: python2-devel
BuildRequires: python2-setuptools

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n %{?scl_prefix}python2-lit
Summary: LLVM lit test runner for Python 2
Group: Development/Languages
Requires: python-setuptools
Provides: %{?scl_prefix}python-lit



%description -n %{?scl_prefix}python2-lit
lit is a tool used by the LLVM project for executing its test suites.


%prep
%autosetup -n %{srcname}-%{version}%{?rc_ver:rc%{rc_ver}} -p4

%build
%py2_build

%install
%py2_install "--prefix" "%{_prefix}"

# Strip out #!/usr/bin/env python
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{?scl:%{_scl_root}}%{python2_sitelib}/%{srcname}/*.py

%check
%{__python2} setup.py test

%files -n %{?scl_prefix}python2-%{srcname}
%doc README.txt
%{?scl:%{_scl_root}}%{python2_sitelib}/*
%{_bindir}/lit


%changelog
* Fri Jan 22 2021 sguelton@redhat.com - 0.11.1-1
- 0.11.1 Release

* Thu Jul 09 2020 sguelton@redhat.com - 0.10.0-2
- Fix dependencies specifications

* Wed Jul 8 2020 sguelton@redhat.com - 0.10.0-1
- 0.10.0 Release

* Mon Jan 27 2020 Tom Stellard <tstellar@redhat.com> - 0.9.0-1
- 0.9.0 Release

* Tue Jul 30 2019 sguelton@redhat.com - 0.8.0-2
- Fix distributed files

* Thu Jul 25 2019 sguelton@redhat.com - 0.8.0-1
- 0.8.0 Release

* Mon Jan 07 2019 Tom Stellard <tstellar@redhat.com> - 0.7.1-1
- 0.7.1 Release

* Wed Jul 11 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-2
- Fix install now that the py2_install macro has been added to RHEL7

* Tue Jul 10 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-1
- 0.6.0 Release

* Tue Jan 09 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-1
- Rebase to 0.5.1

* Thu Jun 08 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-7
- Build for llvm-toolset-7 rename

* Thu May 18 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-6
- Fix package names

* Wed May 10 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-5
- Next attempt to add runtime dependency on python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-4
- Properly add missing runtime dependency to python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-3
- Add missing runtime dependency to python-setuptools

* Fri Apr 28 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-2
- Add llvm-toolset-4 scl support

* Thu Mar 09 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-1
- Initial version
